=== debian/changelog ===
yoshimi (1.3.6-2) unstable; urgency=medium

  * Add clean file to enable build twice in row.
  * Append ldflags properly.
  * Remove libjpeg9-dev build-dep.(Closes: #800454)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 23:29:11 +0200

yoshimi (1.3.6-1) unstable; urgency=medium

  * Imported Upstream version 1.3.6
  * Remove spelling patch - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 05:26:55 +0200

yoshimi (1.3.5.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.5.2
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 04 Sep 2015 05:05:47 +0200

yoshimi (1.3.5.1-2) unstable; urgency=medium

  * Disable build without alsa on non-linux archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jul 2015 08:02:14 +0200

yoshimi (1.3.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.5.1
  * Allow build without alsa on non-linux archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jul 2015 01:00:45 +0200

yoshimi (1.3.5-1) unstable; urgency=medium

  * Patch applied upstream.
  * Update build deps.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 17 Jun 2015 13:24:40 +0200

yoshimi (1.3.4-3) unstable; urgency=medium

  * Fix build on mips mipsel and powerpc archs 2nd attempt.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 10 May 2015 21:36:24 +0200

yoshimi (1.3.4-2) unstable; urgency=medium

  * Refresh patch
  * Add patch to fix build on mips mipsel and powerpc archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 09 May 2015 20:02:58 +0200

yoshimi (1.3.4-1) unstable; urgency=medium

  * Imported Upstream version 1.3.4

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Apr 2015 23:37:20 +0200

yoshimi (1.3.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3.3
  * Bump Standards.
  * Add lv2-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2015 17:30:38 +0100
