=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 9),
 dpkg-dev (>= 1.14.17),
 fluid,
 libasound2-dev,
 libboost-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libsndfile1-dev,
 libx11-dev,
 libxinerama-dev,
 libcairo2-dev,
 sharutils,
 lv2-dev,
 libxft-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yoshimi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yoshimi.git
Homepage: http://yoshimi.sourceforge.net

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: software synthesizer based on ZynAddSubFX
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi delivers the same synthesizer capabilities along with
 very good Jack and Alsa midi/audio functionality on Linux.

Package: yoshimi-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 yoshimi (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Yoshimi
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 This package provides the debugging symbols for yoshimi.
