## yoshimi 1.3.8.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if (POLICY CMP0046)
     cmake_policy (SET CMP0046 OLD)
 endif (POLICY CMP0046)
-set (YOSHIMI_VERSION "1.3.6")
+set (YOSHIMI_VERSION "1.3.8.2")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -182,18 +182,41 @@
 mark_as_advanced (FLTK_FLUID_EXECUTABLE)
 mark_as_advanced (FLTK_MATH_LIBRARY)
 
-set (GuiFluids
-    UI/WidgetPDialUI.fl  UI/PresetsUI.fl  UI/EnvelopeUI.fl
-    UI/LFOUI.fl  UI/FilterUI.fl  UI/VirKeyboardUI.fl
-    UI/ConfigUI.fl  UI/SUBnoteUI.fl  UI/ResonanceUI.fl
-    UI/OscilGenUI.fl  UI/ADnoteUI.fl  UI/PADnoteUI.fl
-    UI/EffUI.fl  UI/BankUI.fl  UI/PartUI.fl
-    UI/MicrotonalUI.fl  UI/MasterUI.fl    UI/MasterMiscUI.fl
-    UI/ParametersUI.fl UI/ConsoleUI.fl
-)
-
-fltk_wrap_ui (yoshimi ${GuiFluids})
-set_source_files_properties (UI/MasterUI.h PROPERTIES GENERATED 1)
+find_path(Readline_ROOT_DIR
+    NAMES include/readline/readline.h
+)
+
+find_path(Readline_INCLUDE_DIR
+    NAMES readline/readline.h
+    HINTS ${Readline_ROOT_DIR}/include
+)
+
+find_library(Readline_LIBRARY
+    NAMES readline
+    HINTS ${Readline_ROOT_DIR}/lib
+)
+
+if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+  set(READLINE_FOUND TRUE)
+else(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+  FIND_LIBRARY(Readline_LIBRARY NAMES readline)
+  include(FindPackageHandleStandardArgs)
+  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
+  MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
+endif(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+
+mark_as_advanced(
+    Readline_ROOT_DIR
+    Readline_INCLUDE_DIR
+    Readline_LIBRARY
+)
+
+if(READLINE_FOUND)
+    message (STATUS "Readline library found" )
+else(READLINE_FOUND)
+    message( FATAL_ERROR "Readline library not found! Please install development components (libreadline-dev)" )
+endif(READLINE_FOUND)
+
 set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
 
 if (BuildForDebug)
@@ -234,6 +257,7 @@
 set (Misc_sources
     Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Microtonal.cpp
     Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp
+    Misc/CmdInterface.cpp
 )
 
 set (Params_sources
@@ -252,8 +276,53 @@
 
 set (MusicIO_sources
     MusicIO/MusicClient.cpp  MusicIO/MusicIO.cpp  MusicIO/JackEngine.cpp
-    MusicIO/AlsaEngine.cpp  MusicIO/JackClient.cpp  MusicIO/AlsaClient.cpp
-    MusicIO/JackAlsaClient.cpp  MusicIO/AlsaJackClient.cpp
+    MusicIO/AlsaEngine.cpp
+)
+
+set (FlGUI_sources
+    WidgetPDialUI.cpp  PresetsUI.cpp  EnvelopeUI.cpp
+    LFOUI.cpp  FilterUI.cpp  VirKeyboardUI.cpp
+    ConfigUI.cpp  SUBnoteUI.cpp  ResonanceUI.cpp
+    OscilGenUI.cpp  ADnoteUI.cpp  PADnoteUI.cpp
+    EffUI.cpp  BankUI.cpp  PartUI.cpp
+    MicrotonalUI.cpp  MasterUI.cpp MasterMiscUI.cpp
+    ParametersUI.cpp ConsoleUI.cpp
+)
+
+# mostly for make clean because cmake doesn't expect 2 files to come from 1 custom command
+set (FlGUI_headers
+    WidgetPDialUI.h  PresetsUI.h  EnvelopeUI.h
+    LFOUI.h  FilterUI.h  VirKeyboardUI.h
+    ConfigUI.h  SUBnoteUI.h  ResonanceUI.h
+    OscilGenUI.h  ADnoteUI.h  PADnoteUI.h
+    EffUI.h  BankUI.h  PartUI.h
+    MicrotonalUI.h  MasterUI.h MasterMiscUI.h
+    ParametersUI.h ConsoleUI.h
+)
+
+# workaround fltk_wrap_ui breakage
+add_custom_command(
+    OUTPUT ${FlGUI_sources}
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/WidgetPDialUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PresetsUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/EnvelopeUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/LFOUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/FilterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/VirKeyboardUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ConfigUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/SUBnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ResonanceUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/OscilGenUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/EffUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/BankUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PartUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MicrotonalUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MasterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MasterMiscUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ParametersUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ConsoleUI.fl
 )
 
 add_definitions (
@@ -264,116 +333,7 @@
     -DYOSHI_FIFO_DIR="${FifoDirectory}"
 )
 
+add_definitions (-DYOSHIMI="yoshimi")
 add_definitions (-DCOMMAND_SIZE=80)
 add_definitions (-DMAX_PRESETS=1000)
 add_definitions (-DMAX_BANK_ROOT_DIRS=127)
-add_definitions (-DMAX_BANKS_IN_ROOT=127)
-add_definitions (-DMAX_AD_HARMONICS=128)
-add_definitions (-DMAX_SUB_HARMONICS=64)
-add_definitions (-DPAD_MAX_SAMPLES=96)
-add_definitions (-DADD_COLOUR=0xdfafbf00)
-add_definitions (-DBASE_COLOUR=0xbfbfbf00)
-add_definitions (-DSUB_COLOUR=0xafcfdf00)
-add_definitions (-DPAD_COLOUR=0xcfdfaf00)
-add_definitions (-DNUM_MIDI_PARTS=64)
-add_definitions (-DNUM_MIDI_CHANNELS=16)
-add_definitions (-DMAX_ENVELOPE_POINTS=40)
-add_definitions (-DMIN_ENVELOPE_DB=-60)
-
-add_definitions (-DPI=3.1415926536f)
-add_definitions (-DTWOPI=6.28318530718f)
-add_definitions (-DHALFPI=1.57079632679f)
-add_definitions (-DLOG_2=0.693147181f)
-
-# these were previously (pointlessly) user configurable
-add_definitions (-DNUM_VOICES=8)
-add_definitions (-DPOLIPHONY=80)
-add_definitions (-DNUM_SYS_EFX=4)
-add_definitions (-DNUM_INS_EFX=8)
-add_definitions (-DNUM_PART_EFX=3)
-add_definitions (-DNUM_KIT_ITEMS=16)
-add_definitions (-DVELOCITY_MAX_SCALE=8.0f)
-add_definitions (-DMAX_EQ_BANDS=8) # MAX_EQ_BANDS must be less than 20")
-add_definitions (-DMAX_FILTER_STAGES=5)
-add_definitions (-DFF_MAX_VOWELS=6)
-add_definitions (-DFF_MAX_FORMANTS=12)
-add_definitions (-DFF_MAX_SEQUENCE=8)
-add_definitions (-DMAX_PHASER_STAGES=12)
-add_definitions (-DMAX_ALIENWAH_DELAY=100)
-
-if (${DefaultAudio} STREQUAL "jack")
-    message(STATUS "Default audio driver is Jack")
-    add_definitions(-DDEFAULT_AUDIO=jack_audio)
-elseif (${DefaultAudio} STREQUAL "alsa")
-    message(STATUS "Default audio driver is Alsa")
-    add_definitions(-DDEFAULT_AUDIO=alsa_audio)
-else (${DefaultAudio} STREQUAL "alsa")
-    message(FATAL_ERROR "Invalid DefaultAudio selection: " ${DefaultAudio})
-endif (${DefaultAudio} STREQUAL "jack")
-
-if (${DefaultMidi} STREQUAL "jack")
-    message(STATUS "Default midi driver is Jack")
-    add_definitions(-DDEFAULT_MIDI=jack_midi)
-elseif (${DefaultMidi} STREQUAL "alsa")
-    message(STATUS "Default midi driver is Alsa")
-    add_definitions(-DDEFAULT_MIDI=alsa_midi)
-else (${DefaultMidi} STREQUAL "alsa")
-    message(FATAL_ERROR "Invalid DefaultMidi selection: " ${DefaultMidi})
-endif (${DefaultMidi} STREQUAL "jack")
-
-if (JackSessionSupport)
-    message(STATUS "With jack session support")
-    add_definitions(-DJACK_SESSION)
-else (JackSessionSupport)
-    message(STATUS "Without jack session support")
-endif (JackSessionSupport)
-
-# Check for jack latency API >= 0.120.1
-check_c_source_compiles (
-    "#include <jack/jack.h>
-    int main(int argc, char **argv)
-    {
-        if (jack_set_latency_callback)
-            return 0;
-        else
-            return 1;
-    }" HasJackLatency
-)
-
-if (HasJackLatency)
-    add_definitions(-DJACK_LATENCY)
-endif (HasJackLatency)
-
-set (ProgSources
-    ${Misc_sources}
-    ${Params_sources}
-    ${Synth_sources}
-    ${DSP_sources}
-    ${Effects_sources}
-    ${MusicIO_sources}
-    ${yoshimi_FLTK_UI_SRCS}
-)
-
-include_directories (AFTER
-    ${MXML_INCLUDE_DIRS}
-    ${ALSA_INCLUDE_DIRS}
-    ${JACK_INCLUDE_DIRS}
-    ${FONTCONFIG_INCLUDE_DIRS}
-    ${FLTK_INCLUDE_DIR}
-    ${FFTW3F_INC_DIR}
-    ${LIBCAIRO_INCLUDE_DIRS}
-)
-
-set(ExternLibraries
-    ${FONTCONFIG_LIBRARIES}
-    ${FLTK_LIBRARIES}
-    ${MXML_LIBRARIES}
-    ${ALSA_LIBRARIES}
-    ${JACK_LIBRARIES}
-    ${LIBSNDFILE_LIBRARIES}
-    ${FFTW3F_LIBRARIES}
-    ${LIBCAIRO_LIBRARIES}
-    z
-    dl
-)
-
