=== debian/changelog ===
yoshimi (1.3.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Remove myself from Uploaders.

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fix cmake issues. (Closes: #809739)
  * Switch to automatic dbg packages
  * debian/yoshimi.install: Use upstream manpage and desktop file.
  * debian/yoshimi-data.install: Update paths.
  * debian/copyright: Update copyright info.
  * debian/control:
    - Update Vcs-Git.
    - Update B-D for new upstream version.
    - Stricter dependency on data package.
    - Bump Standards-Version.
  * debian/patches/manpage-fixes.patch: Fix lintian warnings for manpage.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Feb 2016 13:31:08 +0100

yoshimi (1.3.7.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.7.1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Dec 2015 19:44:28 +0100

yoshimi (1.3.7-1) unstable; urgency=medium

  * Imported Upstream version 1.3.7
  * Add build dependecies.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 17 Nov 2015 09:03:37 +0100
