=== debian/watch ===
version=3

http://sf.net/yoshimi/yoshimi-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
